<?xml version="1.0" encoding="gb2312"?>
<Templates>
<Template name="ShowModPanel">
<![CDATA[
<center>
<div style="width: 60%;">
	<table width="100%"  border="1" cellpadding="2" cellspacing="0" class="ListField">
		<tr> 
			<td width="100%" bordercolor="#FFFFFF" bgcolor="#FFFFFF"> 
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
					<tr class="InfoHeader"> 
						<td align="left" class="InfoHeader"><img src="/img/sfm.gif" DragIcon="1">&nbsp;&nbsp;新增模块</td>
					</tr>
					<tr><td height="8"></td></tr>
					<tr> 
						<td nowrap>
<!--data begin -->
							<FORM name="newPanel" method="GET" action="/cgi-bin/portal" >
							<input type="hidden" name="crumb" value="<%GlobalObjLoad('crumb')%>" >
							<input type="hidden" name="cmd" value="addpanel" >
							<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="NormalText">
								<tr>
									<td> 显示组件名称 </td>
									<td>
								<select name="type" size="1">
#	var rgTypes=this.GetVarb("allTypes");
#	for(var i=0;i<rgTypes.length;i++){
#	var stType=rgTypes[i];
#	if(stType.bDuplicate==false) { continue; }
									<option value="<%stType.szID%>" > <%stType.szName%> </option>
#	}

								</select>
									</td>
								</tr>
<!--
								<tr>
									<td> x座标 </td>
									<td>
								<input type="text" name="x" value="<%this.GetVarb("x")%>">
									</td>
								</tr>
								<tr>
									<td> y座标 </td>
									<td>
								<input type="text" name="y" value="<%this.GetVarb("y")%>" >
									</td>
								</tr>
								<tr>
									<td> 宽度 </td>
									<td>
								<input type="text" name="width" value="<%this.GetVarb("width")%>" >
									</td>
								</tr>
								<tr>
									<td> 高度 </td>
									<td>
								<input type="text" name="height" value="<%this.GetVarb("height")%>" >
									</td>
								</tr>
-->
								<tr><td colspan="2">&nbsp;</td></tr>
								<tr>
									<td colspan="2" align="center" >
								<input type="submit" class="TextButton" value="确定">
								<input type="button" class="TextButton" value="取消" onclick="ChangeLayout();">
									</td>
								</tr>
							</table>
							</FORM>
<!--data end -->
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</center>
]]>
</Template>
<Template name="last_login">
<![CDATA[
# var stObj=this.GetVarb("obj");
<form name="form1" action="/cgi-bin/preference" style="margin: 0px; padding: 0px;">
<table border="0" cellspacing="0" cellpadding="0" class="NormalText">
<tr>
	<input type="hidden" name="edit" value="1">
	<input type="hidden" name="url" value="/cgi-bin/portal?cmd=show&m=<%GetMagicNo()%>">
	<input type="hidden" name="crumb" value="<%GlobalObjLoad('crumb')%>" >
	<td nowrap> 下次登录时，进入
		<select size=1 name=LoginPage>
# var nLogin=stObj.GetLastLogin();
# var stServerConf=stObj.GetServerConf();
# var bForum=false;
# var bDC=false;
			<option value="0" <%((0==nLogin)?"":"selected")%> >信箱信息页</option>
			<option value="1" <%((1==nLogin)?"":"selected")%> >收件箱</option>
			<option value="2" <%((2==nLogin)?"":"selected")%> >信件箱</option>
			<option value="3" <%((3==nLogin)?"":"selected")%> >个人设置</option>
			<option value="4" <%((4==nLogin)?"":"selected")%> >通讯簿</option>
			<option value="5" <%((5==nLogin)?"":"selected")%> >信箱搜寻</option>
# if(bForum==true){
			<option value="6" <%((6==nLogin)?"":"selected")%> >交流园地</option>
#}
# if(bDC==true){
			<option value="7" <%((7==nLogin)?"":"selected")%> >我的文件</option>
#}
		</select>&nbsp;
		<button type="submit" class="TextButton">确定</button>
	</td>
</tr>
</table>
</form>
]]>
</Template>
<Template name="rss_lister">
<![CDATA[
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<!--rss feed list start -->
#var stObj=this.GetVarb("obj");
#var stInfo=stObj;
#var rgRec=stInfo.GetAJAXData();
#var bRSSType=stInfo.ChkRSSType();
#if(""==stInfo.GetConfValue("rss_link") || "undefined"==typeof(stInfo.GetConfValue("rss_link")) || null==stInfo.GetConfValue("rss_link") ){
	<tr align="center" valign="middle"><td class="ErrorText" height="100" colspan="2">
		您可点选上方的「RSS新闻订阅」，依据您的个人需求，自行选择新闻来源。
	</td></tr>
#}else if(null==rgRec || "undefined"==typeof(rgRec) || false==bRSSType){
	<tr align="center" valign="middle"><td class="ErrorText" height="100" colspan="2">
		不是RSS格式XML文档
	</td></tr>
#}else if(0==rgRec.length){
	<tr align="center" valign="middle"><td class="ErrorText" height="100" colspan="2">
		没有任何新闻
	</td></tr>
#}else{
#for(var i=0;i<stInfo.GetLimit();i++){
#var stRec=rgRec[i];
#if(!stRec) continue;
	<tr valign="top">
		<TD width="20" align="center" ><FONT color=#0000cc size=2>．</FONT></TD>
		<td  class="NormalText" style="padding-top: 2px; padding-bottom:2px;">
			<a href="<%stRec.szLink%>" target="_blank"><%stRec.szTitle%></a>
		</td>
	</tr>
#}
<!--rss feed list end -->
	<tr>
		<TD width="20" align="center" ></TD>
	    <td height="30"  class="NormalText" align="left" valign="bottom" colspan="2">
#if("function"==typeof(GetV45AllNewHtml)){
	    	<a href="<%GetV45AllNewHtml()%>?m=<%GetMagicNo()%>&rss_link=<%stInfo.GetConfValue("rss_link")%>" target="_blank" >更多新闻...</a>
#}else{
	    	<a href="/v45_rss_all_news.html?m=<%GetMagicNo()%>&rss_link=<%stInfo.GetConfValue("rss_link")%>" target="_blank" >更多新闻...</a>
#}   
	    </td>
	</tr>
#}
</table>
]]>
</Template>
<Template name="rss_lister_conf">
<![CDATA[
#var stInfo=this.GetVarb("obj");
<!-- bgn of rss lister -->
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
	<tr>
		<td colspan="2">
<!-- rss prefset start -->
		<form action="/cgi-bin/prefset" name="prefset<%stInfo.GetID()%>" method="get" onsubmit="ModuleFormChk('<%stInfo.GetID()%>'); return false;"  style="margin: 0px; padding: 0px;">
	<table  width="100%"  border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="100%" height="30" align="left" colspan="2" class="NormalText"> &nbsp;设置实时新闻所预览的地址 </td>
		</tr>
		<tr>
			<td height="30" align="left" class="NormalText" nowrap >RSS URL:</td>
		</tr>
		<tr>
			<td height="30" align="left" class="NormalText" nowrap style="padding-left: 10px;">
					<input type="text" id="rss_link" name="rss_link" value="<%((null==stInfo.GetConfValue("rss_link"))?"":stInfo.GetConfValue("rss_link"))%>"  class="NormalText" size="30">&nbsp;
					<button type="submit" class="TextButton">确定</button>
			</td>
		</tr>
		<tr>
			<td height="30" align="left" class="NormalText" nowrap >资料来源:</td>
		</tr>
		<tr>
			<td align="left"  class="NormalText"  style="padding-left: 10px; word-spacing: 1em;">
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://udn.com/udnrss/latest.xml';">联合新闻网</a>
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://rss.chinatimes.com/rss/focus.rss';">中时电子报</a>
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://rss.cna.com.tw/rsscna/rss/focus.xml';">中央社</a>
			</td>
		</tr>
		<tr>
			<td align="left"  class="NormalText" style="padding-left: 10px; word-spacing: 1em;">
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://www.taiwan.cnet.com/rss/today_news.htm?';">CNET新闻</a>
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://www.e-stock.com.tw/rss/news.xml';">e-stock理财网</a>
				<a href="javascript:void(0);" onclick="document.prefset<%stInfo.GetID()%>.rss_link.value='http://rss.cnn.com/rss/edition_world.rss';">CNN</a>
			</td>
		</tr>
		<tr>
			<td align="left"  class="NormalText" style="padding-left: 10px; word-spacing: 1em;">
				<br />
				<a href="javascript:void(0);" onclick="MM_openBrWindow('/cgi-bin/rss_aggregator?cm=chlist&compactlist=1&module=<%stInfo.GetID()%>&szlink=<%stInfo.GetConfValue("rss_link")%>', 'ChnlWin', 'width=600,height=400,resizable=yes,scrollbars=yes');return false;">
					从RSS频道订阅中选定
				</a>
			</td>
		</tr>
	</table>
	</form>
<!-- rss prefset end -->
		</td>
	</tr>
</table>
<!-- end of rss lister -->
]]>
</Template>
<Template name="msg_lister">
<![CDATA[
#var stObj=this.GetVarb("obj");
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
#var szMBox=(null==stObj.GetConfValue("mbox"))?"@":stObj.GetConfValue("mbox");
#var stInfo=stObj.GetAJAXData();
#var rgRecs=stInfo.rgMsgs;
#var nRecCount=0;
#for(var i=0;i<rgRecs.length;i++){
#	var stRec=rgRecs[i];
#if(null==stRec) continue;
#nRecCount++;
	<tr valign="top"> 
		<TD width="20" align="center" ><FONT color=#0000cc size=2>．</FONT></TD>
		<td><a href="/cgi-bin/msg_read?cmd=mail_header&m=<%GetMagicNo()%>&mbox=<%szMBox%>&msgid=<%stRec.id%>&type=1" target="_blank" ><%stRec.title%></td> 
	</tr>
#}
#if(0>=nRecCount){
	<tr><td>没有信件</td></tr>
#}
</table>
]]>
</Template>
<Template name="msg_lister_conf">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stInfo=stObj.GetAJAXData();
<form action="" name="prefset<%stObj.GetID()%>" method="get" onsubmit="ModuleFormChk('<%stObj.GetID()%>'); return false;"  style="margin: 0px; padding: 0px;">
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
#var szMBox=stObj.GetConfValue("mbox");
		<tr> 
			<td>信件箱:</td> 
			<td>
				<select name="mbox" size="1">
#var rgFolders=stInfo.rgFolders;
#for(var i=0;i < rgFolders.length;i++){
#var stRec=rgFolders[i];
#if(null==stRec) continue;
#if(stRec.id==szMBox)
					<option value="<%stRec.id%>" selected ><%stRec.title%></option>
#else
					<option value="<%stRec.id%>" ><%stRec.title%></option>
#}
				</select>
			</td> 
		</tr>
		<tr> 
			<td>显示个数:</td> 
			<td>
#szNum=((null==stObj.GetConfValue("num"))?5:parseInt(stObj.GetConfValue("num")));
				<select name="num" size="1">
#for(var i=0;i < 20;i++){
#var nNum=i+1;
#if(nNum== parseInt(szNum))
					<option value="<%nNum%>" selected ><%nNum%></option>
#else
					<option value="<%nNum%>" ><%nNum%></option>
#}
				</select>
			</td> 
		</tr>
		<tr> 
			<td>&nbsp;</td> 
			<td>
				<button type="submit" class="TextButton">确定</button>&nbsp;
				<button type="button" class="TextButton" onclick="ModuleShow('<%stObj.GetID()%>');">取消</button>
			</td> 
		</tr>
	</table>
	</form>
]]>
</Template>

<Template name="all_info_of_mboxes">
<![CDATA[
#var stObj=this.GetVarb("obj");
<table width="100%" border="0" cellspacing="0" cellpadding="0"  class="NormalText">
	<tr class="ListField"> 
		<td align="left" nowrap>&nbsp;&nbsp;信件箱</td>
		<td width="3"><img src="/img/0bb0.gif"></td>
		<td width="60" align="left" nowrap>&nbsp;&nbsp;未读信件</td>
		<td width="3"><img src="/img/0bb0.gif"></td>
		<td width="60" align="left" nowrap>&nbsp;&nbsp;总信件数</td>
		<td width="3"><img src="/img/0bb0.gif"></td>
		<td width="60" align="left" nowrap>&nbsp;&nbsp;容量</td>
	</tr>
#var stAllInfo=stObj.GetAJAXData();
#var rgInfos=stAllInfo.rgRecs;
#var nTtlUnRd=0;
#var nTtlMail=0;
#var nTtlSize=0;
#for(var i=0;i< rgInfos.length;i++){
#var stInfo=rgInfos[i];
#if(null==stInfo) continue;
#nTtlUnRd+=stInfo.nUnRd;
#nTtlMail+=stInfo.nMail;
#nTtlSize+=stInfo.nSize;

	<tr height="25" valign="middle"> 
		<td align="left" nowrap>&nbsp;&nbsp;<a onClick="return HF_FolderOpen('<%stInfo.szMbox%>'); return false;" href="#"><%stInfo.szTitle%></a>
#if("@.trash"==stInfo.szMbox){
					&nbsp;[<a href="#" onclick="PurgeTrash(); return false;">清空</a>]
#}
#if("@.spam"==stInfo.szMbox){
					&nbsp;[<a href="#" onclick="PurgeSpam(); return false;">清空</a>]
#}
#if(1==stInfo.bBlog){
&nbsp;<a href="/cgi-bin/folder_pub/list/<%stAllInfo.szUID%>/<%stInfo.szMbox%>" target="_blank" title="检视发布信匣"><img src="/img/v45_mfp_on.gif" border="0" align="top"></a>
#}
		 </td>
		<td >&nbsp;</td>
		<td align="right" nowrap>
#if(0==stInfo.nUnRd){
	0
#}else{
	<span class="FPUnreadMail"><%stInfo.nUnRd%></span>
#}
					&nbsp;/&nbsp;封</td>
		<td >&nbsp;</td>
		<td align="right" nowrap>
#if(0==stInfo.nMail){
	0
#}else{
	<span class="FPTotalMail"><%stInfo.nMail%></span>
#}
					&nbsp;/&nbsp;封</td>
		<td >&nbsp;</td>
#var nNum=Math.round((stInfo.nSize/1000) * 100);
#var nBPNum=parseInt(nNum/100);
#var nAPNum=new String(100+parseInt(nNum%100));
#var szShowNum=nBPNum+"."+nAPNum.substr(1);
<td align="right" nowrap><%szShowNum%> MB</td>
	</tr>
	<tr><td colspan="7" class="sylUL">&nbsp;</td></tr>
#}
	<tr height="3" class="ListField"> 
		<td colspan="7" class="ListField"></td>
	</tr>
	<tr class="NormalText"> 
		<td  nowrap>&nbsp;&nbsp;信箱信息总计</td>
		<td></td>
		<td align="right" nowrap>
#if(0==nTtlUnRd){
	0
#}else{
	<span class="FPUnreadMail"><%nTtlUnRd%></span>
#}
					&nbsp;/&nbsp;封</td>
					<td></td>
					<td align="right" nowrap>
#if(0==nTtlMail){
	0
#}else{
	<span class="FPTotalMail"><%nTtlMail%></span>
#}
		&nbsp;/&nbsp;封</td>
		<td></td>
#var nNum=Math.round((nTtlSize/1000) * 100);
#var nBPNum=parseInt(nNum/100);
#var nAPNum=new String(100+parseInt(nNum%100));
#var szShowNum=nBPNum+"."+nAPNum.substr(1);
		<td  align="right" nowrap><%szShowNum%> MB</td>
	</tr>
</table>
]]>
</Template>

<Template name="all_login_info">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stAllInfo=stObj.GetAJAXData();
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
	<tr><td height="8" colspan="6"></td></tr>
#var rgInfos=stAllInfo.rgInfos;
#for(var i=0;i< rgInfos.length;i++){
#var stInfo=rgInfos[i];
#if(null==stInfo) continue;
	<tr> 
		<td nowrap><%stInfo.szTime%></td>
		<td nowrap>&nbsp; </td>
		<td nowrap>
#switch(stInfo.szType){
#case 1:		
	网页登录
#break;
#case 2:		
	SMTP登录
#break;
#case 3:		
	POP3登录
#break;
#case 5:
	IMAP4登录
#break;
#case 64:
	网页登录失败
#break;
#case 65:
	SMTP登录失败
#break;
#case 66:
	POP3登录失败
#break;
#case 67:
	IMAP4登录失败
#break;
#default:
#break;	
#}
		</td>
		<td nowrap> <%stInfo.szAddr1%> </td>
		<td nowrap>&nbsp;<%stInfo.szAddr2%> </td>
		<td width="10">&nbsp;</td>
	</tr>
	<tr> <td colspan="6" class="sylUL">&nbsp;</td></tr>
#}
<tr> <td colspan="6" align="right"><a href="#" onclick="GetMainWindow().BlockExec('/cgi-bin/showlog?cmd=show', 'fullIframe', 0);">观看完整登录记录</a></td></tr>
#if("undefined" != typeof(stAllInfo.rgSuspicions)){
#if("undefined" != typeof(stAllInfo.bShowDiagnosis) && true==stAllInfo.bShowDiagnosis ){
#var rgSuspicions=stAllInfo.rgSuspicions;
#for(var i=0;i< rgSuspicions.length;i++){
#var stInfo=rgSuspicions[i];
#if(null==stInfo) continue;
#if(i==0){
<tr><td colspan="6"  class="ErrorText"><BR>最近三次异常登录失败记录 </td></tr>
#}
#if(stInfo.bHeavySuspicion == true){
	<tr class="ErrorText"> 
		<td nowrap><%stInfo.szTime%></td>
		<td nowrap>&nbsp; </td>
		<td nowrap> 登录失败且来源异常 </td>
		<td nowrap> <%stInfo.szAddr1%> </td>
		<td nowrap>&nbsp;<%stInfo.szAddr2%> </td>
		<td width="10">&nbsp;</td>
	</tr>
	<tr> <td colspan="6" class="sylUL">&nbsp;</td></tr>
#}
#}
#}
#}
</table>
]]>
</Template>

<Template name="capacity">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stInfo=stObj.GetAJAXData();
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
	<tr><td height="8" colspan="7"></td></tr>
	<tr>
		<td rowspan="8" align="center" width="25%" nowrap> 
#	var fMP=parseFloat(stInfo.szMailPercent);
#	var fDP=parseFloat(stInfo.szDocPercent);
#	var fLP=parseFloat(stInfo.szLeftPercent);
#	var fLenMP=parseFloat(stInfo.szMailPercent);
#	var fLenDP=parseFloat(stInfo.szDocPercent);
#	var fLenLP=parseFloat(stInfo.szLeftPercent);
#	var picLeft;
#	var msgLeft;
#	var picRight;
#	var msgRight;
#	if(fLenMP+fLenDP > 100){
#		if(fLenMP > fLenDP){
#			fLenDP=100-fLenMP;
#		}else if(fLenDP > fLenMP){
#			fLenMP=100-fLenDP;
#		}
#		if(fLenDP < 0)
#			fLenDP=0;
#		if(fLenMP < 0)
#			fLenMP=0;
#		if(fLenDP > 100)
#			fLenDP=100;
#		if(fLenMP >100)
#			fLenMP=100;
#		fLenLP=0;
#	}
#	/* left side pic */	
#	if(fLenDP > 0){
#		picLeft="/img/0pbfl.gif";
#		msgLeft="我的文件"+fDP;
#	}else{
#		if(fLenMP > 0){
#			picLeft="/img/0pbml.gif";
#			msgLeft="信件使用"+fMP;
#		}else{
#			picLeft="/img/0pbll.gif";
#			msgLeft="剩余空间"+fLP;
#		}
#	}
#	/* right side pic */	
#	if(fLenLP > 0){
#		picRight="/img/0pblr.gif";
#		msgRight="剩余空间"+fLP;
#	}else{
#		if(fLenMP > 0){
#			picRight="/img/0pbmr.gif";
#			msgRight="信件使用"+fMP;
#		}else{
#			picRight="/img/0pbfr.gif";
#			msgRight="我的文件"+fDP;
#		}
#	}

<table border="0" cellpadding="0" cellspacing="0">
<tr>
	<td><img height=11 src='<%picLeft%>' border='0' width='4' title='<%msgLeft%> %'></td>
#if(0 < fDP)
	<td><img height=11 src='/img/0pbfc.gif' border='0' width='<%fLenDP%>' title='我的文件<%fDP%> %'></td>
#if(0 < fMP)
	<td><img height=11 src='/img/0pbmc.gif' border='0' width='<%fLenMP%>' title='信件使用<%fMP%> %'></td>
#if(0 < fLP)
	<td><img height=11 src='/img/0pblc.gif' border='0' width='<%fLenLP%>' title='剩余空间<%fLP%> %'></td>
	<td><img height=11 src='<%picRight%>' border='0' width='4' title='<%msgRight%> %'></td>
</tr>
</table>
		</td>
		<td nowrap width="3%"> <img height=11 src="/img/0pbfl.gif" border=0 width="4" title="我的文件<%stInfo.szDocPercent%> %"><img height=11 src="/img/0pbfr.gif" border=0 width="4" title="我的文件<%stInfo.szDocPercent%> %"></td>
		<td nowrap width="19%"> 我的文件： </td>
		<td width="2%">&nbsp;</td>
		<td nowrap align="right" width="19%"> <%parseInt(stInfo.szDocFilesSize/1000)/1000%> MB </td>
		<td width="8%">&nbsp;</td>
		<td nowrap align="right" width="19%"> <%stInfo.szDocPercent%> % </td>
		<td width="5%">&nbsp;</td>
	</tr>
	<tr><td colspan="7" class="sylUL">&nbsp;</td></tr>
	<tr> 
		<td> <img height=11 src="/img/0pbml.gif" border=0 width="4" title="信件使用<%stInfo.szMailPercent%> %"><img height=11 src="/img/0pbmr.gif" border=0 width="4" title="信件使用<%stInfo.szMailPercent%> %"></td>
		<td nowrap> 信件使用： </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> <%(stInfo.szMailFilesSize/1000)%> MB </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> <%stInfo.szMailPercent%> % </td>
		<td>&nbsp;</td>
	</tr>
	<tr><td colspan="7" class="sylUL">&nbsp;</td></tr>
	<tr> 
		<td> <img height=11 src="/img/0pbll.gif" border=0 width="4" title="剩余空间<%stInfo.szLeftPercent%> %"><img height=11 src="/img/0pblr.gif" border=0 width="4" title="剩余空间<%stInfo.szLeftPercent%> %"> </td>
		<td nowrap> 剩余空间： </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> <%(stInfo.szQuotaLeft/1000)%> MB </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> <%stInfo.szLeftPercent%> % </td>
		<td>&nbsp;</td>
	</tr>
	<tr><td colspan="7" class="sylUL">&nbsp;</td></tr>
	<tr> 
		<td>&nbsp;</td>
		<td nowrap> 总量： </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> <%(stInfo.szQuotaTotal/1000)%> MB </td>
		<td>&nbsp;</td>
		<td nowrap align="right"> 100 % </td>
		<td>&nbsp;</td>
	</tr>
	<tr><td colspan="7" class="sylUL">&nbsp;</td></tr>
</table>
]]>
</Template>

<Template name="calendar_common_title">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stInfo=stObj.GetAJAXData();
#var nMonth=stInfo.szMonth;
#var nMDay=stInfo.szMDay;
#var nWDay=stInfo.szWDay;
#var rgWeekName=["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
#var nCalendarType = stObj.GetCalendarType();
#if(1==nCalendarType){
	预约他人事件
#}else if(2==nCalendarType){
	预约事件
#}else{
	最近行程
#}
    
( <%nMonth%>月<%nMDay%>日
#if(0<=nWDay && 6>=nWDay){
<%rgWeekName[nWDay]%>
#}
)
]]>
</Template>

<Template name="announceboard">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stInfo=stObj.GetAJAXData();;
#var rgRecs=stInfo.rgRecs;
#var nCnt=0;
<table width="100%" board="0" cellspacing="0" cellpadding="0" class="NormalText">
#for(var i=0;i<rgRecs.length;i++){
#var stRec=rgRecs[i];
#if(null==stRec) continue;
#nCnt++;
<tr>
<TD width="3%"><FONT color=#0000cc size=2>．</FONT></TD>
#if(true==stRec.bURL){
<td><a href="<%stRec.szURL%>" target="new"><%stRec.szTitle%></a></td>
#}
#if(true==stRec.bContent){
<td><a href="/cgi-bin/get_ann?xname=<%stRec.szXname%>" target="new"><%stRec.szTitle%></a></td>
#}
#if(true==stRec.bEdit){
<td align="right" class="NormalText"><a href="/cgi-bin/admin/m2kadm?cm=gasa&dn=<%stRec.szDomain%>&xname=<%stRec.szXname%>&domain=<%stRec.szDomain%>&no_ret=1" target="edit">编辑</a></td>
#}
    </tr>
#}
#if(0==nCnt){
<tr>
    <td class="NormalText"><font color="red">无公告</font></td>
</tr>
#}
</table>
]]>
</Template>

<Template name="calendar_common">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stInfo=stObj.GetAJAXData();
#var nMonth=stInfo.szMonth;
#var nMDay=stInfo.szMDay;
#var nWDay=stInfo.szWDay;
#var rgWeekName=["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
#var rgStatus=["", "未确认", "已接受", "已拒绝", "已删除"];
#var nCalendarType = stObj.GetCalendarType();

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
	<tr>
		<td>
      <table id="cal_display_blk" width="100%" cellspacing="0" cellpadding="0"  border="0" class="NormalText">
#var rgRec=stInfo.rgRec;
#var nRecCount=0;
#for(var i=0;i< rgRec.length;i++){
#var stRec=rgRec[i];
#if(null==stRec) continue;
#nRecCount++;
<tr>
#if(1==nCalendarType){
	<td><a href="#" onclick="MM_openBrWindow('/cgi-bin/cal/event_show?szCID=<%stRec.szCID%>&view_type=B', 'ChnlWin', 'width=600,height=400,resizable=yes,scrollbars=yes'); return false;"><%stRec.szSummary%></a></td>
	<td><%stRec.szStartTime%> (
#if(0<=stRec.nStartWDay && 6>=stRec.nStartWDay){
	<%rgWeekName[stRec.nStartWDay]%>
#}
)
	</td>
	<td>&nbsp;<%stRec.szLocation%></td>
	<td>&nbsp;<%stRec.szBookTid%></td>
	<td><%rgStatus[stRec.szStatus]%></td>
#}else if(2==nCalendarType){
	<td><a href="#" onclick="MM_openBrWindow('/cgi-bin/cal/event_show?szCID=<%stRec.szCID%>&view_type=B', 'ChnlWin', 'width=600,height=400,resizable=yes,scrollbars=yes'); return false;"><%stRec.szSummary%></a></td>
	<td><%stRec.szStartTime%> (
#if(0<=stRec.nStartWDay && 6>=stRec.nStartWDay){
	<%rgWeekName[stRec.nStartWDay]%>
#}
	)
	</td>
	<td>&nbsp;<%stRec.szLocation%></td>
	<td>&nbsp;<%stRec.szBookFid%></td>
	<td ><%rgStatus[stRec.szStatus]%></td>
#}else{
	<td><a href="#" onclick="MM_openBrWindow('/cgi-bin/cal/event_show?szCID=<%stRec.szCID%>', 'ChnlWin', 'width=600,height=400,resizable=yes,scrollbars=yes'); return false;"><%stRec.szSummary%></a></td>
	<td><%stRec.szLocation%></td>
	<td><%stRec.szStartTime%></td>
	<td align=center>
#if(0<=stRec.nStartWDay && 6>=stRec.nStartWDay){
	<%rgWeekName[stRec.nStartWDay]%>
#}
	</td>
#}
</tr>
<tr><td class="sylUL" colspan="5">&nbsp;</td></tr>
#}
#if(0>=nRecCount){
    <tr><td class="PageDesc_normal"><font color="red">今日尚无行程</td></tr>
#}
      </table>
    </td>
  </tr>
</table>
]]>
</Template>

<Template name="calendar_common_conf">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var nCalType=stObj.GetConfValue("caltype");
#var nRecentDay=stObj.GetConfValue("recentday");
#var nCalendarType = stObj.GetCalendarType();

<!-- calendar prefset start -->
<form action="/cgi-bin/prefset" name="prefset<%stObj.GetID()%>" method="get" onsubmit="ModuleFormChk('<%stObj.GetID()%>'); return false;"  style="margin: 0px; padding: 0px;">
	<table  width="100%"  border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td height="30" align="left" class="NormalText">&nbsp;观看
		<select name="recentday" size="1">
			<option value="1" <%((1==nRecentDay)?"selected":"")%> >一天</option>
			<option value="2" <%((2==nRecentDay)?"selected":"")%> >二天</option>
			<option value="3" <%((3==nRecentDay)?"selected":"")%> >三天</option>
			<option value="4" <%((4==nRecentDay)?"selected":"")%> >四天</option>
			<option value="5" <%((5==nRecentDay)?"selected":"")%> >五天</option>
			<option value="6" <%((6==nRecentDay)?"selected":"")%> >六天</option>
			<option value="7" <%((7==nRecentDay)?"selected":"")%> >七天</option>
		</select>内的
#if(1==nCalendarType) {
  预约他人事件
#} else if(2==nCalendarType) {
  预约事件
#} else {
  行程
#}		
		</select>
		</td>
		<td height="30" align="right" class="NormalText" nowrap style="padding-left: 10px;">
			<button type="submit" class="TextButton">确定</button>&nbsp;
			<button type="button" class="TextButton" onclick="ModuleShow('<%stObj.GetID()%>');">取消</button>
		</td>
	</tr>
	</table>
</form>
<!-- calendar prefset end -->
]]>
</Template>

<Template name="adbook_rank">
<![CDATA[
#var stObj=this.GetVarb("obj");
<!-- adbook start -->
#var stAllInfo=stObj.GetAJAXData();
#var szWorkingAbid=stAllInfo.workingabid;
#var szWorkingDirid=stAllInfo.workingdirid;
#var bPerm=stAllInfo.bPerm;

<form action="/cgi-bin/genMail" name="genMail" method="post"  style="margin: 0px;">
<input type="hidden" name="m" value="<%GetMagicNo()%>">
<input type="hidden" name="adr" value="">
<input type="hidden" name="adrcc" value="">
<input type="hidden" name="adrbcc" value="">
<input type="hidden" name="adrex" value="">
</form>

<form action="/cgi-bin/adb2main" name="adbook2" method="post" style="margin: 0px;">
<input type="hidden" name="workingabid" value="<%szWorkingAbid%>">
<input type="hidden" name="workingdirid" value="<%szWorkingDirid%>">
<input type="hidden" name="workinggroupid" value="">
<input type="hidden" name="crumb" value="<%GlobalObjLoad('crumb')%>">
<input type="hidden" name="m" value="<%GetMagicNo()%>">

<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" class="main_table ListText">

	<tr height="20" class="ListField">
	<td width="35" align="center">
	<input name="checkallbox" type="checkbox" onclick="SelectAll(document.adbook2, 'Entries', this.checked);">
	</td>
	<td width="1"><img src="/img/0bb0.gif" width="1" height="20" alt="bar_maillist_01"></td>
	<td width="35" align="center" nowrap nobr>类别</td>
	<td width="1"><img src="/img/0bb0.gif" width="1" height="20" alt="bar_maillist_01"></td>
	<td width="35" align="center">位置</td>
	<td width="1"><img src="/img/0bb0.gif" width="1" height="20" alt="bar_maillist_01"></td>
	<td nowrap nobr>&nbsp;名称</td>
	</tr>

#var bShowSearial=0;
#var i=0;
#var rgAllInfos=stAllInfo.rgRecs;
#var nRecCount=0;
#for(i=0;i<rgAllInfos.length;i++){
#var stEntry=rgAllInfos[i];
#if(null==stEntry) continue;
#nRecCount++;
	<tr height="20" id="Row_<%(i+1)%>"
		class="style_entryrow">
#if(1==bShowSearial){
	<td align="center" nowrap nobr><font size="1"><sup><%(i+1)%></sup></font><input type="checkbox" name="Entries" value="<%stEntry.szID%>" nick="<%stEntry.szNick%>" email="<%stEntry.szEmail%>" onClick="EntryOnClick(this);"></td>
#}else{
	<td align="center"><input type="checkbox" name="Entries" value="<%stEntry.szID%>" nick="<%stEntry.szNick%>" email="<%stEntry.szEmail%>" onClick="EntryOnClick(this);"></td>
#}
	<td width="1"></td>
#if(1==stEntry.nType){
	<td align="center"><img src="/img/act.gif" width="16" height="15" alt="adb_contact"></td>
	<td width="1"></td>
	<td nowrap><%stEntry.szDirPath%></td>
	<td width="1"></td>
	<td><%stEntry.szNick%></td>
#}else if(2==stEntry.nType){
	<td align="center"><img src="/img/agr1.gif" width="16" height="15" alt="adb_group1"></td>
	<td width="1"></td>
	<td nowrap><%stEntry.szDirPath%></td>
	<td width="1"></td>
	<td><%stEntry.szNick%></td>
#}else if(3==stEntry.nType){
	<td align="center"><img src="/img/adr1.gif" width="16" height="15" alt="adb_dir1"></td>
	<td width="1"></td>
	<td nowrap><%stEntry.szDirPath%></td>
	<td width="1"></td>
	<td><%stEntry.szNick%></td>
#}
	</tr>
	<tr height="1"><td colspan="7" class="row_underline"><img src="/img/0ul.gif" border="0" width="1" height="1" alt="row_underline"></td></tr>
#}

#if(0==nRecCount){
	<tr><td colspan="7"><font color="red">没有符合的资料 </font></td></tr>
#}

	<tr height="1"><td colspan="7"></td></tr>
	<tr height="4" class="ListFoot">	<td colspan="7"></td></tr>
	<tr >
		<td colspan="7">
			<button class="TextButton" onclick="return do_compose('to', '$workingabid', '$workingabtype', 0);" type="button">寄信</button>
		</td>
	</tr>
</table>
</form>
<!-- adbook end -->
]]>
</Template>
<Template name="forward">
<![CDATA[
#var stObj=this.GetVarb("obj");
#var stAllInfo=stObj.GetAJAXData();
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="NormalText">
	<tr><td colspan="3" height="8"></td></tr>
#var rgInfos=stAllInfo.rgForward;
#var bNoData = true;
#for(var i=0;i< rgInfos.length;i++){
#var stInfo=rgInfos[i];
#if(null==stInfo) continue;
#bNoData = false;
	<tr>
		<td colspan="2" nowrap> <%stInfo.szEmail%> </td>
		<td nowrap>
#if(stInfo.bEnable) {
		启用
#}else{
		不启用
#}
		</td>
	</tr>
	<tr><td colspan="3" class="sylUL">&nbsp;</td></tr>
#}
#if ( bNoData ) {
	<tr><td colspan="3" nowrap> <font color="red">没有资料 </font> </td>
	<tr><td colspan="3" class="sylUL">&nbsp;</td></tr> </tr>
#}
<tr><td colspan="3" align="right"><a href="#" onclick="GetMainWindow().BlockExec('/cgi-bin/auto_forward?cmd=show', 'fullIframe', 0);">查看自动转寄设定</a></td></tr>
	<tr><td height="8"></td></tr>
#var rgInfos=stAllInfo.rgFilterFwd;
#var bNoData = true;
#for(var i=0;i< rgInfos.length;i++){
#var stInfo=rgInfos[i];
#if(null==stInfo) continue;
#bNoData = false;
	<tr> 
		<td nowrap> <%stInfo.szEmail%> </td>
		<td nowrap>
#switch(stInfo.nType)
#{
#case 82:
			转寄
#break;
#case 83:
			摘要转寄
#break;
#default:
#break;
#}
		</td>
		<td nowrap>
#if(stInfo.bEnable) {
		启用
#}else{
		不启用
#}
		</td>
	</tr>
	<tr><td colspan="3" class="sylUL">&nbsp;</td></tr>
#}
#if ( bNoData ) {
	<tr><td colspan="3" nowrap> <font color="red">没有资料 </font> </td>
	<tr><td colspan="3" class="sylUL">&nbsp;</td></tr> </tr>
#}
<tr><td colspan="3" align="right"><a href="#" onclick="GetMainWindow().BlockExec('/cgi-bin/filter?cmd=show', 'fullIframe', 0);">查看信件过滤设定</a></td></tr>
</table>
]]>
</Template>
</Templates>
